Bug 1889910 - EPEL 7 - chromium.x86_64 0:85.0.4183.121-1.el7 missing libminizip.so and minizip(x86-64) dependencies on RHEL 7.9
Summary: EPEL 7 - chromium.x86_64 0:85.0.4183.121-1.el7 missing libminizip.so and mini...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: chromium
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 21:33 UTC by FrankX
Modified: 2020-12-23 01:09 UTC (History)
3 users (show)

Fixed In Version: chromium-87.0.4280.88-1.el8 chromium-87.0.4280.88-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-09 15:25:04 UTC
Type: Bug


Attachments (Terms of Use)

Description FrankX 2020-10-20 21:33:25 UTC
Description of problem:
EPEL 7 - chromium.x86_64 0:85.0.4183.121-1.el7 missing libminizip.so and minizip(x86-64) dependencies on RHEL 7.9 

Version-Release number of selected component (if applicable):
chromium.x86_64 0:85.0.4183.121-1.el7

How reproducible:

Steps to Reproduce:
1. yum install chromium
2.
3.

Actual results:

yum install chromium-85.0.4183.121-1.el7
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package chromium.x86_64 0:85.0.4183.121-1.el7 will be installed
--> Processing Dependency: chromium-common(x86-64) = 85.0.4183.121-1.el7 for package: chromium-85.0.4183.121-1.el7.x86_64
--> Processing Dependency: nss-mdns(x86-64) for package: chromium-85.0.4183.121-1.el7.x86_64
--> Processing Dependency: libminizip.so.1()(64bit) for package: chromium-85.0.4183.121-1.el7.x86_64
--> Running transaction check
---> Package chromium.x86_64 0:85.0.4183.121-1.el7 will be installed
--> Processing Dependency: libminizip.so.1()(64bit) for package: chromium-85.0.4183.121-1.el7.x86_64
---> Package chromium-common.x86_64 0:85.0.4183.121-1.el7 will be installed
--> Processing Dependency: minizip(x86-64) for package: chromium-common-85.0.4183.121-1.el7.x86_64
---> Package nss-mdns.x86_64 0:0.14.1-9.el7 will be installed
--> Finished Dependency Resolution
Error: Package: chromium-85.0.4183.121-1.el7.x86_64 (epel)
           Requires: libminizip.so.1()(64bit)
Error: Package: chromium-common-85.0.4183.121-1.el7.x86_64 (epel)
           Requires: minizip(x86-64)
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: chromium-85.0.4183.121-1.el7.x86_64 (epel)
           Requires: libminizip.so.1()(64bit)
Error: Package: chromium-common-85.0.4183.121-1.el7.x86_64 (epel)
           Requires: minizip(x86-64)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results: 
No errors with automatic dependency installation.


Additional info:
none

Comment 1 Tom "spot" Callaway 2020-10-20 22:33:38 UTC
Ugh. Looks like Red Hat thought it would be a good idea to deprecate a _lot_ of packages in RHEL 7.9:

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html-single/7.9_release_notes/index

I'll switch the EL7 build to use the bundled zlib stack.

Comment 2 FrankX 2020-10-21 10:04:03 UTC
Hi Tom,

Thanks for the quick response. 

Please let me know when I can try this again, so I can confirm and let you know the results.

Frank

Comment 3 Tom "spot" Callaway 2020-10-21 14:07:23 UTC
chromium-86.0.4240.75-2.el7 (which is building now) should not have an external minizip dependency, but I'll know for sure when it finishes.

Comment 4 FrankX 2020-10-22 16:49:36 UTC
Thanks Tom, I'll try as soon as you have it ready to go.

Comment 5 Fedora Update System 2020-10-28 14:36:23 UTC
FEDORA-EPEL-2020-5f50399d2e has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5f50399d2e

Comment 6 Fedora Update System 2020-10-28 14:36:29 UTC
FEDORA-EPEL-2020-3157c3d291 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3157c3d291

Comment 7 Fedora Update System 2020-10-29 01:28:20 UTC
FEDORA-EPEL-2020-5f50399d2e has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5f50399d2e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-29 01:38:22 UTC
FEDORA-EPEL-2020-3157c3d291 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3157c3d291

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 FrankX 2020-10-29 16:44:47 UTC
1. The install went well from the epel-testing repo. 
Please see results below: 

yum install chromium 
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
epel/x86_64/metalink                                                                                                                                                                                      |  15 kB  00:00:00     
Resolving Dependencies
--> Running transaction check
---> Package chromium.x86_64 0:86.0.4240.111-1.el7 will be installed
--> Processing Dependency: chromium-common(x86-64) = 86.0.4240.111-1.el7 for package: chromium-86.0.4240.111-1.el7.x86_64
--> Processing Dependency: nss-mdns(x86-64) for package: chromium-86.0.4240.111-1.el7.x86_64
--> Running transaction check
---> Package chromium-common.x86_64 0:86.0.4240.111-1.el7 will be installed
---> Package nss-mdns.x86_64 0:0.14.1-9.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================================================================================================
 Package                                                 Arch                                           Version                                                       Repository                                            Size
=================================================================================================================================================================================================================================
Installing:
 chromium                                                x86_64                                         86.0.4240.111-1.el7                                           epel-testing                                          97 M
Installing for dependencies:
 chromium-common                                         x86_64                                         86.0.4240.111-1.el7                                           epel-testing                                          16 M
 nss-mdns                                                x86_64                                         0.14.1-9.el7                                                  epel                                                  43 k

Transaction Summary
=================================================================================================================================================================================================================================
Install  1 Package (+2 Dependent packages)

Total download size: 114 M
Installed size: 401 M
Is this ok [y/d/N]: y
Downloading packages:
(1/3): nss-mdns-0.14.1-9.el7.x86_64.rpm                                                                                                                                                                   |  43 kB  00:00:00     
(2/3): chromium-common-86.0.4240.111-1.el7.x86_64.rpm                                                                                                                                                     |  16 MB  00:00:01     
(3/3): chromium-86.0.4240.111-1.el7.x86_64.rpm                                                                                                                                                            |  97 MB  00:00:03     
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                             31 MB/s | 114 MB  00:00:03     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : nss-mdns-0.14.1-9.el7.x86_64                                                                                                                                                                                  1/3 
  Installing : chromium-common-86.0.4240.111-1.el7.x86_64                                                                                                                                                                    2/3 
  Installing : chromium-86.0.4240.111-1.el7.x86_64                                                                                                                                                                           3/3 
  Verifying  : chromium-common-86.0.4240.111-1.el7.x86_64                                                                                                                                                                    1/3 
  Verifying  : chromium-86.0.4240.111-1.el7.x86_64                                                                                                                                                                           2/3 
  Verifying  : nss-mdns-0.14.1-9.el7.x86_64                                                                                                                                                                                  3/3 

Installed:
  chromium.x86_64 0:86.0.4240.111-1.el7                                                                                                                                                                                          

Dependency Installed:
  chromium-common.x86_64 0:86.0.4240.111-1.el7                                                                           nss-mdns.x86_64 0:0.14.1-9.el7                                                                          

Complete!



2. ## Verifying version
Red Hat Enterprise Linux Workstation release 7.9 (Maipo)



3. ### Invoking chromium-browser from command line to show debug output autogenerated

 ls -al /usr/bin/chrom*
lrwxrwxrwx. 1 root root 47 Oct 29 12:21 /usr/bin/chromium-browser -> /usr/lib64/chromium-browser/chromium-browser.sh


## note: when attempting to run it dumps immediately.
#
$ chromium-browser 
[1029/122448.052650:FATAL:chrome_main_delegate.cc(447)] Check failed: process_type.empty(). Unable to get the user data directory for process type: zygote
#0 0x55f7a5557f79 base::debug::CollectStackTrace()
#1 0x55f7a54ca626 base::debug::StackTrace::StackTrace()
#2 0x55f7a54da404 logging::LogMessage::~LogMessage()
#3 0x55f7a54da8e2 logging::LogMessage::~LogMessage()
#4 0x55f7a1b07a37 ChromeMainDelegate::PreSandboxStartup()
#5 0x55f7a4f9e742 content::ContentMainRunnerImpl::Initialize()
#6 0x55f7a4fd111a service_manager::Main()
#7 0x55f7a4f9bec6 content::ContentMain()
#8 0x55f7a1b06d25 ChromeMain
#9 0x7fdcda7a3555 __libc_start_main
#10 0x55f7a1b06b77 (/usr/lib64/chromium-browser/chromium-browser+0xfc9b76)

Received signal 6
#0 0x55f7a5557f79 base::debug::CollectStackTrace()
#1 0x55f7a54ca626 base::debug::StackTrace::StackTrace()
#2 0x55f7a555791a base::debug::(anonymous namespace)::StackDumpSignalHandler()
#3 0x55f7a5557f0e base::debug::(anonymous namespace)::StackDumpSignalHandler()
#4 0x7fdce0ca3630 (/usr/lib64/libpthread-2.17.so+0xf62f)
#5 0x7fdcda7b7387 __GI_raise
#6 0x7fdcda7b8a78 __GI_abort
#7 0x55f7a55574e5 base::debug::BreakDebugger()
#8 0x55f7a54da755 logging::LogMessage::~LogMessage()
#9 0x55f7a54da8e2 logging::LogMessage::~LogMessage()
#10 0x55f7a1b07a37 ChromeMainDelegate::PreSandboxStartup()
#11 0x55f7a4f9e742 content::ContentMainRunnerImpl::Initialize()
#12 0x55f7a4fd111a service_manager::Main()
#13 0x55f7a4f9bec6 content::ContentMain()
#14 0x55f7a1b06d25 ChromeMain
#15 0x7fdcda7a3555 __libc_start_main
#16 0x55f7a1b06b77 (/usr/lib64/chromium-browser/chromium-browser+0xfc9b76)
  r8: 00007fdce1279bc0  r9: 656d6f7268633a4c r10: 0000000000000008 r11: 0000000000000202
 r12: 00007fff11928210 r13: 00007fff11927a20 r14: 000000000000009a r15: 00007fff11927240
  di: 0000000000000001  si: 0000000000000001  bp: 00007fff11927200  bx: 00003421af46bc40
  dx: 0000000000000006  ax: 0000000000000000  cx: ffffffffffffffff  sp: 00007fff119270c8
  ip: 00007fdcda7b7387 efl: 0000000000000202 cgf: 2b76000000000033 erf: 0000000000000000
 trp: 0000000000000000 msk: 0000000000000000 cr2: 0000000000000000
[end of stack trace]
Calling _exit(1). Core file will not be generated.
[693:693:1029/122448.460738:FATAL:zygote_host_impl_linux.cc(190)] Check failed: ReceiveFixedMessage(fds[0], kZygoteBootMessage, sizeof(kZygoteBootMessage), &boot_pid). 
#0 0x55db7ad06f79 base::debug::CollectStackTrace()
#1 0x55db7ac79626 base::debug::StackTrace::StackTrace()
#2 0x55db7ac89404 logging::LogMessage::~LogMessage()
#3 0x55db7ac898e2 logging::LogMessage::~LogMessage()
#4 0x55db78d7b99e content::ZygoteHostImpl::LaunchZygote()
#5 0x55db7a74bdf3 content::(anonymous namespace)::LaunchZygoteHelper()
#6 0x55db781a0a4c content::ZygoteCommunication::Init()
#7 0x55db781a10a0 content::CreateGenericZygote()
#8 0x55db7a74d508 content::ContentMainRunnerImpl::Initialize()
#9 0x55db7a78011a service_manager::Main()
#10 0x55db7a74aec6 content::ContentMain()
#11 0x55db772b5d25 ChromeMain
#12 0x7faf142fe555 __libc_start_main
#13 0x55db772b5b77 (/usr/lib64/chromium-browser/chromium-browser+0xfc9b76)

Received signal 6
#0 0x55db7ad06f79 base::debug::CollectStackTrace()
#1 0x55db7ac79626 base::debug::StackTrace::StackTrace()
#2 0x55db7ad0691a base::debug::(anonymous namespace)::StackDumpSignalHandler()
#3 0x55db7ad06f0e base::debug::(anonymous namespace)::StackDumpSignalHandler()
#4 0x7faf1a7fe630 (/usr/lib64/libpthread-2.17.so+0xf62f)
#5 0x7faf14312387 __GI_raise
#6 0x7faf14313a78 __GI_abort
#7 0x55db7ad064e5 base::debug::BreakDebugger()
#8 0x55db7ac89755 logging::LogMessage::~LogMessage()
#9 0x55db7ac898e2 logging::LogMessage::~LogMessage()
#10 0x55db78d7b99e content::ZygoteHostImpl::LaunchZygote()
#11 0x55db7a74bdf3 content::(anonymous namespace)::LaunchZygoteHelper()
#12 0x55db781a0a4c content::ZygoteCommunication::Init()
#13 0x55db781a10a0 content::CreateGenericZygote()
#14 0x55db7a74d508 content::ContentMainRunnerImpl::Initialize()
#15 0x55db7a78011a service_manager::Main()
#16 0x55db7a74aec6 content::ContentMain()
#17 0x55db772b5d25 ChromeMain
#18 0x7faf142fe555 __libc_start_main
#19 0x55db772b5b77 (/usr/lib64/chromium-browser/chromium-browser+0xfc9b76)
  r8: 00007faf1add4bc0  r9: 415441463a383337 r10: 0000000000000008 r11: 0000000000000202
 r12: 00007ffe109e24f0 r13: 00007ffe109e1d00 r14: 00000000000000a8 r15: 00007ffe109e1520
  di: 00000000000002b5  si: 00000000000002b5  bp: 00007ffe109e14e0  bx: 000008d2a7f2b700
  dx: 0000000000000006  ax: 0000000000000000  cx: ffffffffffffffff  sp: 00007ffe109e13a8
  ip: 00007faf14312387 efl: 0000000000000202 cgf: 0000000000000033 erf: 0000000000000000
 trp: 0000000000000000 msk: 0000000000000000 cr2: 0000000000000000
[end of stack trace]
Calling _exit(1). Core file will not be generated.


Please let me know if there is something else I need to try. 

Thanks

Comment 10 Tom "spot" Callaway 2020-10-29 20:16:00 UTC
Moving to EL8? *sigh* That's not serious, it's just really hard to get this thing working right on such an ancient codebase.

Comment 11 Tom "spot" Callaway 2020-10-29 20:37:58 UTC
Okay, lets debug a bit. Is your $HOME abnormal in any way? Is it NFS mounted or mounted ro?

If you run:

 $ echo $HOME

Does it return the correct value for your homedir?

Are the permissions correct on the ~/.config directory?

When I run:

 $ ls -la | grep \.config

on my CentOS 7 test instance, I see:

drwx------. 3 centos centos        22 Oct 29 20:20 .config

("centos" is the logged in user). If this is set to root (or with different permissions), please try to adjust that and retry chromium.

If you run:

 $ chromium  --user-data-dir=/home/whatever_your_homedir_is

Does that work properly? Did previous versions of chromium (before the minizip deprecation occurred in 7.9) work on this system?

Comment 12 Tom "spot" Callaway 2020-10-29 20:57:03 UTC
FWIW, I cannot reproduce this in a CentOS 7 VM.

Comment 13 Tom "spot" Callaway 2020-11-09 15:25:04 UTC
Closing this out. Feel free to reopen if the problem persists (and provide the debugging data from Comment #11).

Comment 14 Fedora Update System 2020-11-10 01:33:42 UTC
FEDORA-EPEL-2020-d4f217c4a3 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d4f217c4a3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-11-10 02:00:45 UTC
FEDORA-EPEL-2020-f16789146a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f16789146a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-11-17 02:12:18 UTC
FEDORA-EPEL-2020-3097b2d5db has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3097b2d5db

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-11-17 02:27:33 UTC
FEDORA-EPEL-2020-5b5debb24b has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5b5debb24b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-11-24 01:42:19 UTC
FEDORA-EPEL-2020-a45bb612b3 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a45bb612b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-11-24 01:52:44 UTC
FEDORA-EPEL-2020-ca501b4c5b has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ca501b4c5b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-12-08 00:21:19 UTC
FEDORA-EPEL-2020-2f9004588a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2f9004588a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-12-08 00:26:18 UTC
FEDORA-EPEL-2020-37ef75d1ce has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-37ef75d1ce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2020-12-23 00:34:06 UTC
FEDORA-EPEL-2020-37ef75d1ce has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-12-23 01:09:32 UTC
FEDORA-EPEL-2020-2f9004588a has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.